帝国CMS 在PHP7.4上出错怎么解决?

 

已安装好的7.5版本,直接改以下文件即可

e/config/config.php
$ecms_config[‘db’][‘usedb’]=’mysql’;        //数据库类型
改为
$ecms_config[‘db’][‘usedb’]=’mysqli’;        //数据库类型

e/class/connect.php
define(‘MAGIC_QUOTES_GPC’,function_exists(‘get_magic_quotes_gpc’)&&get_magic_quotes_gpc());
改为:
define(‘MAGIC_QUOTES_GPC’,(ini_get(‘magic_quotes_gpc’) == 1) ? true : false);

7.5新版安装前改以下文件即可
e/class/connect.php
define(‘MAGIC_QUOTES_GPC’,function_exists(‘get_magic_quotes_gpc’)&&get_magic_quotes_gpc());
改为:
define(‘MAGIC_QUOTES_GPC’,(ini_get(‘magic_quotes_gpc’) == 1) ? true : false);

说明:get_magic_quotes_gpc()在php5.4版之后已废除了

© 版权声明
THE END
点赞0
抢沙发
头像
提交
头像

昵称

取消
昵称
一言一语